import React from 'react';
import { ButtonProps } from 'antd';
export interface IModalWrapperProps {
    type?: 'error' | 'warning';
    title?: React.ReactNode;
    content?: React.ReactNode;
    errMsg?: React.ReactNode;
    errMsgConf?: {
        value: Record<'label' | 'value', string>[];
        isBlockSize?: boolean;
        blockSize?: number;
        itemDirection?: 'vertical' | 'horizontal';
    };
    infoConf?: {
        value?: boolean;
        label: string;
        tips?: string;
        icon?: string;
    };
    okProps?: {
        text?: string;
        show?: boolean;
        type?: ButtonProps['type'];
        danger?: boolean;
    };
    onOk?: (a?: boolean) => void;
    cancelProps?: {
        text?: string;
        show?: boolean;
        type?: ButtonProps['type'];
        danger?: boolean;
    };
    onCancel?: () => void;
}
declare const ModalWrapper: React.FC<IModalWrapperProps>;
export { ModalWrapper };
