// 构建表格单元格, 需要显示的数据
export default (function (minRow, maxRow, rowHeight, stickyWidth, dataSource) {
  var rows = [];
  var top = [0],
      pos = 0;

  for (var c = 1; c <= maxRow; c++) {
    pos += rowHeight(c - 1);
    top.push(pos);
  }

  for (var i = minRow; i <= maxRow; i++) {
    rows.push({
      style: {
        position: 'absolute',
        height: rowHeight(i),
        width: stickyWidth,
        top: top[i]
      },
      index: i,
      data: dataSource[i]
    });
  }

  return rows;
});