import type { CCProps, CCNode } from '../interface';

export interface StoreContextType extends CCProps {
  isFirstLoad: boolean;
  // - 搜索 -
  searchValue?: string;
  setSearchValue: (params) => void;
  searchData: Function;
  // - 面包屑 -
  rootNode: CCNode[];
  breadcrumbList: CCNode[];
  setBreadcrumbList: (params: CCNode[]) => void;
  // - 左侧列表相关 -
  getList: (parentId: string) => void;
  leftPartList: CCNode[];
  leftPartSearch: CCNode[];
  searchLoading: boolean;
  // - 停用成本中心的 展示 隐藏 -
  showMore?: boolean;
  isShowStop: boolean;
  setIsShowStop: (params: boolean) => void;
  // -选中-
  selectKeys: string[];
  selectValue: CCNode[];
  setSelectValue: (params: CCNode[]) => void;
  adjustSelectValue: (checked: boolean, item: CCNode, type: 'checkbox' | 'radio') => void;
}
