import type { InfosType, TableColumns, TableUnit } from '../../Interface';
declare type TABLE_COL = TableColumns<TableUnit>;
declare type I_PARAMS = {
    columns: TABLE_COL[];
    dataSource: TableUnit[];
    width: number;
    rowSelection: any;
    maxHeight: number;
    colData: any;
    expandConfig: any;
    summation: any;
    editableConfig: any;
    rowKey: any;
};
export declare const getKey: ({ dataIndex, key }?: any) => string;
export declare const getRowKeys: (rowKey: any, v: any) => any;
export declare const sumWidths: (source: Array<number>) => number;
export declare const getWidths: (value: any, colData: any) => Array<number>;
export declare let getScrollbarWidth: () => number;
export declare const getRenderedCursor: (children: any) => any;
export declare const columnsFn: (params: I_PARAMS) => {
    columnsWithHide: TABLE_COL[];
    columns: TABLE_COL[];
    lenAry: number[];
    lenRus: number;
    hierarchy: number;
    isShowCrossScrollBar: boolean;
    isShowDirScrollBar: boolean;
    scrollWidth: number;
    hierarchyHeight: any;
    height: number;
    boxHeight: number;
    contHeight: number;
    addBtnHeight: any;
    summationHeight: any;
    curMaxWidth: number;
    fixedLeft: {
        data: TABLE_COL[];
        source: number[];
        res: number;
    };
    fixedRight: {
        data: TABLE_COL[];
        source: number[];
        res: number;
    };
    noFixed: {
        data: TABLE_COL[];
        source: number[];
        res: number;
    };
    dataSource: TableUnit[];
    dataSourceHeightInfo: number[];
    isEmptyData: boolean;
};
export declare const handleLineFn: (props: any) => void;
export declare const handleLineScrollFn: (props: any) => void;
export declare const getPrimary: (param: string, active?: boolean) => string;
export declare const getMinWidth: (item: any) => number;
export declare const getNormalDpi: () => boolean;
export declare const createCellPos: (n: number) => string;
export declare const getTargetScrollValue: (colInfo: any, rowKey: any, dataIndex: string, rowDataId: string, colData: any) => number[];
export declare const getErrorDisabled: (param: InfosType[], dataIndex: string, dataRowId: string) => InfosType | undefined;
export declare const getOneField: (columns: any, dataIndex: string) => any;
export {};
